package development

import "shylinux.com/x/ice"

type userRepos struct{ Table }

func init() { ice.TeamCtxCmd(userRepos{}) }

type UserReposRole int

const (
	UserReposVisitor UserReposRole = iota
	UserReposCreator
	UserReposLeader
	UserReposWorker
	UserReposServer
)

var UserReposRoleList = map[UserReposRole]string{
	UserReposVisitor: "visitor",
	UserReposCreator: "creator",
	UserReposLeader:  "leader",
	UserReposWorker:  "worker",
	UserReposServer:  "server",
}

func (s UserReposRole) String() string { return UserReposRoleList[s] }
